Subject: Re: [PATCH RFC] ARM: omap2: fix lack of timer interrupts on CPU1 after hotplug

From: Tony Lindgren <[email-masked]>
Date: Thu, 7 Feb 2019 07:51:39 -0800

* Russell King - ARM Linux admin <[email-masked]> [190207 13:46]:
> On Wed, Dec 12, 2018 at 10:57:41AM -0800, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [181212 17:53]:
> > > * Russell King <[email-masked]> [181212 11:49]:
> > > > We call tick_broadcast_enter() in omap_enter_idle_coupled(), which one
> > > > would expect would take care of the issue, but internally this only
> > > > deals with one-shot local timers - tick_broadcast_enable() on the other
> > > > hand only deals with periodic local timers.  So, we need to call both.
> > > 
> > > This works just fine for me for NO_HZ and cpuidle:
> > >
> > > Tested-by: Tony Lindgren <[email-masked]>
> > 
> > And also works for me without NO_HZ too FYI.
> 
> Hi Tony,
> 
> Could you pick this patch up and submit for 5.0-rc please?

Oh sorry. I thought you had already merged it since I added
my Tested-by. Hmm I guess I need to start adding also an
Acked-by to signal it's OK to pick some misc patches.

Anyways, applying into omap-for-v5.0/fixes-v2.

Thanks,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel